[expected-failures]
KHR-NoContext.es32.robustness.getnuniform = mesa_ci a3bb3706dec683811db182c777dd9a06fbad9b0b
KHR-GL46.gpu_shader_fp64.builtin.mod_dvec2 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_dvec3 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_dvec4 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993

[expected-crashes]
GTF-GL46.gtf45 = mesa 49a612d1580b3316392273a069d20d93967126a8
GTF-GL46.gtf46 = mesa 49a612d1580b3316392273a069d20d93967126a8

[fixed-tests]
KHR-GL46.enhanced_layouts.xfb_block_stride = mesa 9d53ccccb251d21f9291abaa3a28a41d06ce8c91
KHR-GL46.enhanced_layouts.varying_location_aliasing_with_mixed_interpolation mesa_post_17_3 c85d64cf67827e1fce81976db092c445b1d3fffd
KHR-GL46.enhanced_layouts.varying_block_automatic_member_locations mesa_post_17_3 c85d64cf67827e1fce81976db092c445b1d3fffd
KHR-GL46.shader_draw_parameters_tests.ShaderDrawArraysInstancedParameters = mesa 3a1df14a7b5c1652aa72eb6cf43e69ab447c6273
KHR-GL46.shader_draw_parameters_tests.ShaderMultiDrawArraysParameters = mesa 3a1df14a7b5c1652aa72eb6cf43e69ab447c6273
KHR-GL46.shader_draw_parameters_tests.MultiDrawArraysIndirectCountParameters = mesa 3a1df14a7b5c1652aa72eb6cf43e69ab447c6273
KHR-GL46.shader_draw_parameters_tests.ShaderDrawArraysParameters = mesa 3a1df14a7b5c1652aa72eb6cf43e69ab447c6273
KHR-GL46.shader_draw_parameters_tests.ShaderMultiDrawArraysIndirectParameters = mesa 3a1df14a7b5c1652aa72eb6cf43e69ab447c6273
KHR-NoContext.es32.robustness.readnpixels = mesa 37eee90df730ac6ba371b2ba8e61a1db9e55d7df
KHR-GL46.direct_state_access.textures_storage_multisample_2d_rgb32ui = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_buffer_rgb32ui = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_2d_rgb32f = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_subimage_2d_rgb32i = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_2d_rgb32ui = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_3d_rgb32i = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_3d_rgb32f = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.texture_size_promotion.functional = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_buffer_rgb32i = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_2d_rgb32i = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_3d_rgb32ui = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_subimage_2d_rgb32f = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_subimage_3d_rgb32f = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_buffer_rgb32f = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_1d_rgb32i = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_subimage_2d_rgb32ui = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_multisample_2d_rgb32i = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_multisample_2d_rgb32f = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_multisample_3d_rgb32ui = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_1d_rgb32f = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_subimage_1d_rgb32ui = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_subimage_1d_rgb32i = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_multisample_3d_rgb32i = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_subimage_3d_rgb32i = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_subimage_3d_rgb32ui = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_1d_rgb32ui = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_storage_multisample_3d_rgb32f = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.direct_state_access.textures_subimage_1d_rgb32f = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.texture_swizzle.functional = mesa f08d10705482907e94c9a3768013f6072db6f0c9
KHR-GL46.shader_image_load_store.multiple-uniforms = mesa 708d8f4d0a557f509435e05696a4096a2900d748
KHR-GL46.direct_state_access.buffers_errors = mesa a43596df624678c39bc7108a04c8d1afc74663b0
KHR-GL46.cull_distance.functional = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
KHR-GL33.cull_distance.functional = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
KHR-GL46.tessellation_shader.single.xfb_captures_data_from_correct_stage = mesa 4eec3a2a3652317f8e0fa97e0730c297bde8241a
KHR-GL46.enhanced_layouts.input_component_aliasing = mesa 422882e78f2cf0ab69ff4a58f3c9465fcb5fef0d
KHR-GL46.compute_shader.atomic-case2 = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.shared-max = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.shared-struct = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.atomic-case3 = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.resource-atomic-counter = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.resource-subroutine = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.enhanced_layouts.varying_location_aliasing_with_mixed_auxiliary_storage = glcts d7074484f39deb97b42bb9cabd1a183e12910755
KHR-GL46.direct_state_access.textures_image_query_errors = mesa cd02f60c1e9d0ef37e4defb8e6b00433990fd90c
KHR-GL46.enhanced_layouts.xfb_variable_stride = glcts 9d382ce556b9231651ee3a141866cf2c48d8d7f3
KHR-GL33.shaders.struct.local.nested_struct_array_dynamic_index_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.dynamic_loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.nested_struct_array_dynamic_index_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.dynamic_loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.nested_struct_array_dynamic_index_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.dynamic_loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.nested_struct_array_dynamic_index_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.dynamic_loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.gpu_shader_fp64.fp64.varyings = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shading_language_420pack.length_of_vector_and_matrix = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.enhanced_layouts.xfb_get_program_resource_api = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.gl_spirv.spirv_modules_shader_binary_multiple_shader_objects_test = mesa 2e8565beadafa2b141b74e79b4f51d8a252c01a4
KHR-GL46.spirv_extensions.spirv_extensions_queries = mesa 2e8565beadafa2b141b74e79b4f51d8a252c01a4
KHR-GL46.gl_spirv.spirv_validation_builtin_variable_decorations_test = mesa 6b8cb087568699ca9a6e9e8b7bf49179e622b59f
KHR-GL46.direct_state_access.vertex_arrays_attribute_format = mesa 67718ca3520b3540dfe08840e6397613c439f5db
KHR-GL46.direct_state_access.vertex_arrays_attribute_format_errors = mesa 67718ca3520b3540dfe08840e6397613c439f5db
GTF-GL33.gtf30.GL3Tests.sgis_texture_lod.sgis_texture_lod_basic_getter = mesa 35ee6b3d361b13c6380cf357ef05c9681639cfc1
GTF-GL46.gtf30.GL3Tests.sgis_texture_lod.sgis_texture_lod_basic_getter = mesa 35ee6b3d361b13c6380cf357ef05c9681639cfc1
KHR-GL46.direct_state_access.textures_buffer_errors = mesa a2542deb63adb3b5536947bcf9610c0ceca9da28
KHR-GL46.direct_state_access.textures_buffer_range_errors = mesa a2542deb63adb3b5536947bcf9610c0ceca9da28
KHR-GL46.shader_group_vote.all_invocations = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.shader_group_vote.availability = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.shader_group_vote.any_invocation = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.gl_spirv.spirv_glsl_to_spirv_builtin_functions_test = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.direct_state_access.textures_parameter_setup_errors = glcts 77ccafb56a4dbad8859257c85a80a8802c62da59

